<?php  
	session_start();
	include "conexion.php";
	include "mysql_Valida_permiso.php";
	include 'mysql_Agregar_auditoria.php';

	if (!isset($_SESSION['id_usuario']))
	{
		header('location: index.php');
		return;
	}


	$producto = $_POST['id_producto'];
	$departamento = $_POST['departamento'];
	$vehiculo = $_POST['id_vehiculo'];
	$limit = $_POST['limit'];
	$fecha1 = $_POST['fecha1'];
	$fecha_inicio1 = $_POST['fecha_inicio'];
	$fecha_fin1 = $_POST['fecha_fin'];
	$fecha2 = $_POST['fecha2'];
	$fecha_inicio2 = $_POST['fecha_inicio2'];
	$fecha_fin2 = $_POST['fecha_fin2'];
	$facturado = $_POST['facturado'];
	$no_facturado = $_POST['no_facturado'];
	$serie = $_POST['serie'];
	$folio = $_POST['folio'];
	$adeudo = $_POST['adeudo'];
	$id_serie = $_POST['id_serie'];
	$id_folio = $_POST['id_folio'];
	$id_adeudo = $_POST['id_adeudo'];
	$t_activa = $_POST['t_activa'];
	$t_cancelada = $_POST['t_cancelada'];
	$ordenamiento = $_POST['ordenamiento'];
	$total_transacciones =0;
	$monto_muestra=0;
	$volumen_muestra=0;

/*	$consulta =  validaPermiso('catalogo_cargos','catalogo_cargos_consultar',$_SESSION['userid']);
	$eliminacion = validaPermiso('catalogo_cargos','catalogo_cargos_eliminar',$_SESSION['userid']);
	$adeudoPermiso = validaPermiso('catalogo_cargos','catalogo_cargos_adeudo',$_SESSION['userid']);	
	$permiso_odometro = validaPermiso('catalogo_cargos','catalogo_cargos_editar_odometro',$_SESSION['userid']);*/

	$filtros="";

	$sql = "Select ";
	$sql .= "t.id_transaccion, ";
	$sql .= "t.id_turno, ";
	$sql .= "ifnull(t.monto,0) as monto, ";
	$sql .= "ifnull(t.saldo,0) as saldo, ";
	$sql .= "date_format(t.fecha,'%Y/%m/%d %H:%m:%s') as fecha, ";
	$sql .= "t.id_vehiculo, ";
	$sql .= "ifnull(t.odometro,0) as odometro, ";
	$sql .= "ifnull(t.odometro_diferencia,0) as odometro_diferencia, ";
	$sql .= "if(t.factura=0,'No','Si') as factura, ";
	$sql .= "t.serie, ";
	$sql .= "t.folio, ";
	$sql .= "t.id_factura, ";
	$sql .= "ifnull(tac.id_adeudo,0) as id_adeudo, ";
	$sql .= "ifnull(t.aux_1,'') as aux_1, ";
	$sql .= "td.volumen, ";
	$sql .= "p.nombre, ";
	$sql .= "t.id_turno, ";
	$sql .= "v.departamento, ";
	$sql .= "v.numero_economico, ";
	$sql .= "v.placa ";
	$sql .= "from transacciones_detalle td, productos p, transacciones t  ";
	$sql .= "left join vehiculos v on(v.id_vehiculo=t.id_vehiculo) ";
	$sql .= "left join (select ta.id_adeudo, ta.id_transaccion from transacciones_adeudos_cobro ta, adeudos_cobro ac ";
	$sql .= "where ta.id_adeudo= ac.id_adeudo and ac.estatus!=3 and ac.tipo_entidad=0) tac on (t.id_transaccion = tac.id_transaccion) ";	
	$sql .= "where ifnull(estatus,1) !=0 and id_tipo = 1 ";

	if ($facturado == "1" && $no_facturado=="0")
	{
		$sql .= " and t.factura =1 ";
	}
	if ($facturado == "0" && $no_facturado == "1")
	{
		$sql .= " and t.factura =0 ";
	}
	
	if($fecha2 == 1)
	{
		$sql .= "and fecha >='" . $fecha_inicio2 . " 00:00:00' and fecha <='".$fecha_fin2." 23:59:59' ";
	}
	
	if ($_SESSION['id_cliente'] != "")
	{
		$sql .= " and t.id_cliente = " . $_SESSION['id_cliente'] ;
	}
	
	if ($vehiculo !="" && $vehiculo != 0 && $vehiculo != "0" )
	{
		$sql .= " and t.id_vehiculo = " . $vehiculo;
	}
	
	if($fecha1=="1")
	{
		$fecha_inicio1 =str_replace ( "-", '', $fecha_inicio1);
		$turnoini = $fecha_inicio1."00";

		$fecha_fin1 =str_replace ( "-", '', $fecha_fin1);
		$turnofin = $fecha_fin1."99";

		if ($turnoini !="")
		{
			$sql .= " and t.id_turno >= " . $turnoini;
		}
		if ($turnofin != "")
		{
			$sql .= " and t.id_turno <= " . $turnofin;
		}
	}
	if ($adeudo == "1" && $id_adeudo != "")
	{
		$sql .= " and tac.id_adeudo =" . $id_adeudo ." ";
	}

	if ($serie == true && $id_serie != "")
	{
		$sql .= " and t.serie ='" . $id_serie . "' ";
	}

	if ($folio == true && $id_folio != "")
	{
		$sql .= " and t.folio =" . $id_folio . " ";
	}
	
	$sql .= " and td.id_producto= p.id_producto and t.id_transaccion = td.id_transaccion ";
	if($producto != 0){
	     $sql .= "and p.id_producto = " . $producto." ";		
	}							


	
	//rmn para que solo muestre 1 detalle
	$sql .= " and td.id_detalle=1 ";
	
	//fin filtro productos
	/*if ($orid=="1")
		$sql .= " order by t.id_transaccion ";
	else
		$sql .= " order by t.id_turno,t.id_transaccion ";*/
	
	if ($limit=="1")
	{
		$sql .= "limit 1000 ";
	}

	$resultado = $conexion->query($sql); 

	if(!$resultado) 
		die("Error: no se pudo realizar la consulta===");

	
?>


	<table id="tablaTransacciones" name="tablaTransacciones" class="table table-sm table-striped"  >
		<thead>			
			<th>Id Vehiculo</th>
			<th>Depto</th>
			<th>N° Eco</th>
			<th>Placa</th>
			<th>Transacción</th>
			<th>F. Registro</th>
			<th>Id Turno</th>
			<th>Producto</th>
			<th>Volumen</th>
			<th>Monto</th>
			<th>Odómetro</th>
			<th>Diferencia</th>
			<th>Facturado</th>
			<th>Serie</th>
			<th>Folio</th>
			<th>Id Factura</th>
			<th>Id Adeudo</th>
			<th>Referencia</th>			
		</thead>
		<tbody>
			<?php  
				while($fila = $resultado->fetch_assoc())
				{			

				echo '<tr class="renglon_transaccion" onclick="selecciona_renglon(this)" style="color: black; cursor: pointer" id="'.$fila['id_transaccion'].'">';					
					echo '<td style="text-align:left;">' . $fila['id_vehiculo'] . '</td>';
					echo '<td align="center">' . $fila['departamento'] . '</td>';
					echo '<td align="center">' . $fila['numero_economico'] . '</td>';				
					echo '<td align="center">' . $fila['placa'] . '</td>';
					echo '<td align="right">' . $fila['id_transaccion'] . '</td>';
					echo '<td align="center">' . $fila['fecha']  . '</td>';
					echo '<td align="center">' . $fila['id_turno']  . '</td>';
					echo '<td align="center">' . $fila['nombre'] . '</td>';
					echo '<td align="right">' . number_format($fila['volumen'],2,'.',',') .'&nbsp;&nbsp;</td>';
					echo '<td align="right">' . number_format($fila['monto'],2,'.',',') .'&nbsp;&nbsp;</td>';
					echo '<td align="right">' . $fila['odometro']  . '&nbsp;&nbsp;</td>';
					echo '<td align="right">' . $fila['odometro_diferencia'] .'&nbsp;&nbsp;</td>';
					echo '<td align="center">' . $fila['factura'] . '</td>';
					echo '<td align="center">' . $fila['serie']  . '</td>';
					echo '<td align="right">' . $fila['folio'] .'</td>';
					echo '<td align="right">' . $fila['id_factura'] . '</td>';
					echo '<td align="right">' . $fila['id_adeudo']  . '&nbsp;&nbsp;</td>';
					echo '<td align="center">' . $fila['aux_1'] .'</td>';	
				echo '</tr>'; 

					//$totalmonto+=$fila['monto'];
					$monto_muestra = $monto_muestra+ $fila['monto'];
					$volumen_muestra = $volumen_muestra + $fila['volumen'];
					$total_transacciones = $total_transacciones+1;
					//$totalvol+=$fila['volumen'];

				}

				$resultado->free(); 

				$informacion = 'Busco transacciones ';
				$datos = "Con filtros id_vehiculo=".$vehiculo." Departamento=".$departamento." Producto=".$producto;
				if($fecha1==1){ $datos=$datos." Fecha_contable=".$fecha_inicio1." hasta ".$fecha_fin1;}
				if($fecha1==1){ $datos=$datos." Fecha_Registro=".$fecha_inicio2." hasta ".$fecha_fin2;}
				if($serie==1){  $datos=$datos." Serie=".$id_serie;}
				if($folio==1){  $datos=$datos." Folio=".$id_folio;}
				if($adeudo==1){ $datos=$datos." Adeudo= ".$id_adeudo;}
				$datos=$datos." Facturado=".$facturado." No facturado=".$no_facturado." Limit=".$limit;
				insertAuditoria($informacion,$datos,$_SESSION['id_usuario'],$_SESSION['direccion_ip'],$_SESSION['direccion_mac']);	
				mysqli_close($conexion);
			?>

		</tbody>
	</table>

<div class="row form-group">
	
	<div class="col-md-2">
		<label for=""># Transacciones:</label>
	</div>
	<div class="col-md-2">
		<input type="text" class="form-control" id="txtNumTransacciones" value="<?php echo $total_transacciones; ?>" disabled>
	</div>
	<div class="col-md-2">
		<label for="">Total Volumen:</label>
	</div>
	<div class="col-md-2">
		<input type="text" class="form-control" id="txtTotalVolumenTransacciones" value="<?php echo number_format($volumen_muestra, 2, '.', ','); ?>" disabled>
	</div>
	<div class="col-md-2">
		<label for="">Total Monto:</label>
	</div>
	<div class="col-md-2">
		<input type="text" class="form-control" id="txtTotalMontoTransacciones" value="<?php echo number_format($monto_muestra, 2, '.', ','); ?>" disabled>
	</div>
</div>


